package com.tuoheng.admin.enums.code.inspection;

/**
 *  查询巡检任务详情返回码
 *      模块代码：23（公路管理）
 *      接口代码：05 （查询巡检任务信息）
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-11-24
 */
public enum QueryInspectionInfoByIdCodeEnum {

    QUERY_IS_FAILED(1230500, "获取数据失败"),
    INSPECTION_ID_IS_NULL(1230501, "任务id为空"),
    INSPECTION_IS_NOT_EXIST(1230502, "任务不存在");

    /**
     * 错误码
     */
    private int code;

    /**
     * 错误信息
     */
    private String msg;

    QueryInspectionInfoByIdCodeEnum(int code, String msg){
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

}
